/*
 *
 * Copyright (C)  17-mar-2004 Jean-Yves Beaujean 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package jxtray;


public class SQLHistoryEntry
{
	private String query;
	private String date;
	private boolean laststate;
	
	public SQLHistoryEntry()
	{
			query = new String();
			date = new String();
			laststate=false;
	}
	
	public SQLHistoryEntry(String query, String date, boolean state)
	{
		this.query= query;
		this.date = date;
		laststate=state;
	}

	public void setQuery(String query)
	{
		this.query = query;
	}
	
	public void setDate ( String date )
	{
		this.date=date;
	}
	
	public void setLastState ( boolean state  )
	{
		laststate = state;
	}
	

	public void setLastState(String state) 
	{
		try
		{
			laststate =  "TRUE".equals(state.toUpperCase());
		}
		catch ( Exception e )
		{
			laststate = false;
		}
	}	
	
	public boolean getLastState()
	{
		return laststate;
	}
	
	public String getQuery()
	{
		return query;
	}
	
	public String getDate()
	{
		return date;
	}
	


}
